[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.LoadFromResourceHandle

Loads icon data from the specified instance and resource handles.

## Declaration

Source position: graphics.pp line 1665

`public procedure TCustomIcon.LoadFromResourceHandle(`
`Instance: TLCLHandle;`
`ResHandle: TFPResourceHandle`
`); virtual;`

## Arguments

`Instance` |  | Handle with the resource data loaded in the method.
`ResHandle` |  | Resource handle with the icon data loaded in the method.

## Description

LoadFromResourceHandle has an empty implementation in TCustomIcon. It is re-implemented in TIcon descendant.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the Instance parameter.

## See also

TIcon.LoadFromResourceHandle |  | Loads icon data from the specified instance and resource handles.
LCLType.TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.
WSReferences.TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.